Page MenuHomeFreeBSD

rtwn(4): RTL8188EE fixed power on code
ClosedPublic

Authored by farhan_farhan.codes on Jan 3 2019, 7:39 AM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 3, 11:24 AM
Unknown Object (File)
Tue, May 28, 6:49 PM
Unknown Object (File)
May 4 2024, 11:21 PM
Unknown Object (File)
Apr 26 2024, 9:05 AM
Unknown Object (File)
Apr 26 2024, 9:03 AM
Unknown Object (File)
Apr 26 2024, 9:03 AM
Unknown Object (File)
Apr 26 2024, 2:04 AM
Unknown Object (File)
Apr 23 2024, 10:35 AM
Subscribers

Details

Summary

The r88ee_power_on() function did not seem to properly turn on interface.
Replicated power_on from OpenBSD driver (which is itself a replication of the Linux driver)
Added register values

Test Plan

Create interface and connect to a network

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

farhan_farhan.codes retitled this revision from rtwn(4): RTL8188EE fix power on code to rtwn(4): RTL8188EE fixed power on code.Jan 3 2019, 7:39 AM

The current version is fine too - I'm using it right now :) But I will take this one to sync with OpenBSD.

This revision is now accepted and ready to land.Jan 4 2019, 4:22 AM
This revision was automatically updated to reflect the committed changes.

Oddly enough, the device inexplicably stopped receiving frames on my computer, no idea why -- even though I wrote it!
Changing over to the OpenBSD power on sequence works. It was slightly less consistent with the Linux driver, but it worked.
Please verify on your end that it works, would hate to break the driver.

Both are fine for me - the typical (and the most trivial) test - compile the driver, 'kldunload' the previous one, load newly compiled and commit changes over it.
Right now the new power on sequence is used.

P.S. There are some more differences not noted in the commit - for example, r88e_rf_read was 'optimized' away, since both USB & PCIe work fine with 92c version.